﻿@using System.Web.UI.WebControls
@using Portal.Models.InvoiceCreation
@{
    string dispFormat = "#,###";
    string curr = "IDR";
    var m = Model.GetModel<InvoiceCreationPreview>();
    if (m != null && m.InvoicePreview != null)
    {
        curr = m.InvoicePreview.Currency;
    }
    if (curr != null && !"IDR".Equals(curr))
    {
        dispFormat = curr + " #,##0.00;;";
    }
    else
    {
        dispFormat = curr + " #,##0;;";
    }

    int Month = ViewData["INV_DT_RANGE"] == null ? 1 : Convert.ToInt32(ViewData["INV_DT_RANGE"]);
}

<div style="width:100%;height:auto; padding-right:0px; margin-bottom:-18px">

    <table width="100%" border="0">
      <tr>
        <td rowspan="3" style="width:315px;" valign="top">
            @Html.Partial("DetailPreviewInvoice")
        </td>
        <td>&nbsp;</td>
        <td>
            <table border="0">
                <tr>
                    <td style="width:130px">Invoice No <sup style="color:Red">*</sup></td>
                    <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "INV_NO";
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Width = 100;
                            settings.Properties.MaxLength = 12;
                        }).GetHtml()
                    </td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td style="width:140px">Tax No. <font color="#ff0000"><sup>*</sup></font></td>
                    <td>
                        @Html.Common().DevExpress().GridLookup(
                            settings =>
                            {
                                settings.Name = "INV_TAX_NO";
                                settings.Width = Unit.Pixel(140);
                                settings.ClientEnabled = true;
                                settings.GridProperties.KeyFieldName = "InvoiceTaxNo";
                                settings.GridProperties.Width = Unit.Pixel(315);
                                settings.GridProperties.CallbackRouteValues = new { Controller = "D31401", Action = "InvoiceTaxNoPartial" };
                                settings.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                                settings.GridProperties.SettingsPager.PageSize = 100;
                                settings.GridProperties.ClientSideEvents.RowClick = "INV_TAX_NORowClick";

                                settings.GridProperties.Columns.Add(col =>
                                {
                                    col.Name = "TaxNo";
                                    col.FieldName = "InvoiceTaxNo";
                                    col.Caption = "Tax No";
                                    col.Width = Unit.Pixel(135);
                                    col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                });

                                settings.GridProperties.Columns.Add(col =>
                                {
                                    col.Name = "TaxDate";
                                    col.FieldName = "InvoiceTaxDate";
                                    col.Caption = "Tax Date";
                                    col.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
                                    col.Width = Unit.Pixel(135);
                                    col.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                });

                                settings.GridProperties.Columns.Add(col =>
                                {
                                    col.Name = "Amount";
                                    col.FieldName = "InvoiceTax";
                                    col.Caption = "Amount";
                                    col.PropertiesEdit.DisplayFormatString = dispFormat;
                                    col.Width = Unit.Pixel(135);
                                    col.CellStyle.HorizontalAlign = HorizontalAlign.Right;
                                });

                                settings.GridProperties.Columns.Add(col =>
                                {
                                    col.Name = "BypassFlag";
                                    col.FieldName = "BypassFlag";
                                    col.SetColVisible(false);
                                });
                            }).Bind(ViewData["InvoiceTax"]).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td>Invoice Date <sup style="color:Red">*</sup></td>
                    <td>
                        @Html.DevExpress().DateEdit(
                        settings =>
                        {
                            settings.Name = "INV_DT";
                            settings.Properties.MaxLength = 9;
                            //settings.Properties.NullText = "<dd.MM.yyyy>";
                            settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            //settings.Properties.ClientSideEvents.LostFocus = "SetActivationButton";
                            settings.Width = 100;
                            //settings.Properties.MinDate = DateTime.Today;
                            settings.Properties.MinDate = DateTime.Today.AddMonths(-Month);
                            settings.Properties.MaxDate = DateTime.Today.AddMonths(Month);

                            //settings.CalendarDayCellPrepared = (sender, e) =>
                            //{
                            //    if (e.Date < DateTime.Now.Date)
                            //    {
                            //        e.Cell.ForeColor = System.Drawing.Color.Gray;
                            //        //e.Cell.ForeColor = DXSystemColors.;
                            //        e.Cell.Attributes["disabled"] = "disabled";
                            //    }
                            //};

                            settings.Properties.ClientSideEvents.KeyPress = @"
                                    function cek (s,e){
                                        var key = theEvent.keyCode || theEvent.which;
                                        //key = String.fromCharCode(key);
                                        //alert(key);
                                        if(
                                            //(key >= 37 && key <= 40) ||
                                            (key >= 48 && key <= 57) ||
                                            (key == 8)
                                        )

                                        //if (key < 48 || key > 57 )
                                        {
                                            theEvent.returnValue = true;
                                        }else
                                        {
                                            theEvent.returnValue = false;
                                            if(theEvent.preventDefault)
                                                theEvent.preventDefault();
                                        }


                                    }
                                    ";
                        }).GetHtml()
                    </td>

                    <td>&nbsp;</td>
                    <td>&nbsp;</td>

                    <td>Tax Date <font color="#ff0000"><sup>*</sup></font></td>
                    <td>
                        @Html.DevExpress().DateEdit(
                        settings =>
                        {
                            settings.Name = "HidTaxDate";
                            settings.Properties.MaxLength = 9;
                            settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            //settings.Properties.MinDate = DateTime.Today;
                            settings.Properties.MinDate = DateTime.Today.AddMonths(-1);
                            settings.ClientEnabled = false;
                            settings.ClientVisible = false;
                            settings.Width = 100;
                            settings.Properties.ClientSideEvents.KeyPress = @"
                                    function cek (s,e){


                                        var theEvent = e.htmlEvent || window.event;
                                        var key = theEvent.keyCode || theEvent.which;
                                   ;     //key = String.fromCharCode(key);
                                        //alert(key);
                                        if(
                                            //(key >= 37 && key <= 40) ||
                                            (key >= 48 && key <= 57) ||
                                            (key == 8)
                                        )

                                        //if (key < 48 || key > 57 )
                                        {
                                            theEvent.returnValue = true;
                                        }else
                                        {
                                            theEvent.returnValue = false;
                                            if(theEvent.preventDefault)
                                                theEvent.preventDefault();
                                        }
                                    }

                                    ";
                        }).GetHtml()

                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "INV_TAX_DT";
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.Width = 100;
                                settings.ClientEnabled = false;
                                settings.Properties.MaxLength = 10;
                            }).GetHtml()
                    </td>
                </tr>


                <tr>
                    <td>Total Delivery No.</td>
                    <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "DLV_COUNT";

                            settings.Width = 100;
                            settings.ClientEnabled = false;
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                        }).GetHtml()

                        <!--Added By fid.intan 2015-08-06-->
                        @Html.DevExpress().TextBox(
                        t =>
                        {
                            t.Name = "txBypassFlag";
                            t.ClientVisible = false;
                            t.ReadOnly = true;
                        }).GetHtml()
                    </td>

                    <td>&nbsp;</td>
                    <td>&nbsp;</td>

                    <td>Tax Amount </td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "HidTaxAmount";
                                settings.Width = 100;
                                settings.ClientEnabled = false;
                                settings.ClientVisible = false;
                                settings.Properties.DisplayFormatString = dispFormat;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                            }).GetHtml()

                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "TaxAmount";
                                settings.Width = 100;
                                settings.ClientEnabled = false;
                                settings.Properties.DisplayFormatString = dispFormat;
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;

                            }).GetHtml()
                    </td>
                </tr>

                <tr>
                    <td>Turn Over</td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "TOTAL_INV_AMOUNT";
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                settings.Width = 100;
                                settings.ClientEnabled = false;
                                settings.Properties.DisplayFormatString = dispFormat;
                            }).GetHtml()
                    </td>

                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    @*Created by Arka.Taufik 2022-03-22*@
                    <td>Tax Code</td>
                    <td>
                        @Html.Common().DevExpress().GridLookup(
                            gridLookup =>
                            {
                                gridLookup.Name = "TaxCodeCombo";
                                gridLookup.Width = Unit.Percentage(100);
                                gridLookup.GridProperties.KeyFieldName = "TAX_CD";

                                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "D31401", Action = "PartialTaxGridLookup" };
                                gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                                gridLookup.GridProperties.Settings.ShowColumnHeaders = false;
                                gridLookup.GridProperties.SettingsBehavior.EnableRowHotTrack = true;
                                gridLookup.GridProperties.SettingsPager.PageSize = 100;
                                gridLookup.ReadOnly = true;
                                gridLookup.GridProperties.ClientSideEvents.RowClick = "GetTaxCodeCombo";

                                gridLookup.GridProperties.Columns.Add(column =>
                                {
                                    column.Name = "TaxCode";
                                    column.FieldName = "TAX_CD";
                                    column.Caption = "Tax Code";
                                    column.Width = Unit.Pixel(80);
                                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                                });
                                gridLookup.GridProperties.Columns.Add(column =>
                                {
                                    column.Name = "TaxName";
                                    column.FieldName = "TAX_NAME";
                                    column.Caption = "Tax Name";
                                    column.Width = Unit.Pixel(350);
                                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                                });
                                gridLookup.GridProperties.Columns.Add(column =>
                                {
                                    column.Name = "TaxRate";
                                    column.FieldName = "RATE";
                                    column.Caption = "Tax Rate";
                                    column.Width = Unit.Pixel(100);
                                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                                });
                            }).Bind(ViewData["TaxGridLookup"]).GetHtml()

                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "TaxRateCD";
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                settings.Width = 100;
                                settings.ClientEnabled = false;
                                settings.ClientVisible = false;
                            }).GetHtml()
                    </td>
                </tr>

                <tr>

                    <td>&nbsp;</td>
                    <td>&nbsp;</td>

                    <td>&nbsp;</td>
                    <td>&nbsp;</td>

                    <td>Invoice Tax Amount</td>
                    <td>
                        @Html.DevExpress().DateEdit(
                        settings =>
                        {
                            settings.Name = "BASELINE_DT";
                            settings.Properties.MaxLength = 9;
                            //settings.Properties.NullText = "<dd.MM.yyyy>";
                            settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            //settings.Properties.ClientSideEvents.LostFocus = "SetActivationButton";
                            settings.Width = 100;
                            settings.Properties.MinDate = DateTime.Today;
                            settings.ClientVisible = false;

                        }).GetHtml()

                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "TAX_AMOUNT";
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                            settings.Width = 100;
                            settings.ClientEnabled = false;
                            settings.Properties.DisplayFormatString = dispFormat;
                        }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>

                    <td>&nbsp;</td>
                    <td>&nbsp;</td>

                    <td>Total Invoice Amount</td>
                    <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "INV_TAX_AMOUNT";
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                            settings.Width = 100;
                            settings.ClientEnabled = false;
                            settings.Properties.DisplayFormatString = dispFormat;
                        }).GetHtml()

                        <!--ADDED BY fid.intan 2015-08-06-->
                        @Html.DevExpress().TextBox(
                        t =>
                        {
                            t.Name = "ToleranceValue";
                            t.ClientVisible = false;
                            t.ReadOnly = true;
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="right">
                <table border="0">
                    <tr>
                        <td>
                            @Html.DevExpress().Button(
                            settings =>
                                {
                                    settings.Name = "btnPopupSave";
                                    settings.Text = "Save";
                                    settings.UseSubmitBehavior = true;
                                    settings.Width = 80;
                                    settings.ClientSideEvents.Click = "SaveInvoice";
                                }
                            ).GetHtml()
                        </td>
                        <td>
                        </td>
                        <td>
                            @Html.DevExpress().Button(
                            settings =>
                                {
                                    settings.Name = "btnPopupDownload";
                                    settings.Text = "Download Detail Data";
                                    //settings.UseSubmitBehavior = true;
                                    //settings.Width = 80;
                                    settings.ClientSideEvents.Click = "DownloadDetail";
                                }
                            ).GetHtml()
                        </td>
                        <td>
                            @Html.DevExpress().Button(
                            settings =>
                                {
                                    settings.Name = "btnPopupClose";
                                    settings.Text = "Close";
                                    settings.UseSubmitBehavior = true;
                                    settings.Width = 80;
                                    settings.ClientSideEvents.Click = "closePopup";
                                }
                            ).GetHtml()
                        </td>
                    </tr>
                </table>
            </td>
      </tr>
    </table>


    
</div>